Package org.eclipse.mat.query.registry

## Class QueryResult

- java.lang.Object
- - org.eclipse.mat.query.registry.QueryResult

    public class QueryResult
    extends java.lang.Object

### Constructor Summary

Constructors
`QueryResult​(QueryDescriptor query, java.lang.String command, IResult subject)`
`QueryResult​(QueryResult parent, QueryDescriptor query, java.lang.String command, IResult subject)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCommand()`
`ContextProvider` `getDefaultContextProvider()`
`QueryResult` `getParent()`
`QueryDescriptor` `getQuery()`
`ResultMetaData` `getResultMetaData()`
`IResult` `getSubject()`
`java.lang.String` `getTitle()`
`java.lang.String` `getTitleToolTip()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryResult

    public QueryResult​(QueryDescriptor query,
                       java.lang.String command,
                       IResult subject)

#### QueryResult

    public QueryResult​(QueryResult parent,
                       QueryDescriptor query,
                       java.lang.String command,
                       IResult subject)

### Method Detail

#### getParent

    public QueryResult getParent()

#### getCommand

    public java.lang.String getCommand()

#### getQuery

    public QueryDescriptor getQuery()

#### getSubject

    public IResult getSubject()

#### getResultMetaData

    public ResultMetaData getResultMetaData()

#### getTitle

    public java.lang.String getTitle()

#### getTitleToolTip

    public java.lang.String getTitleToolTip()

#### getDefaultContextProvider

    public ContextProvider getDefaultContextProvider()